/*
 * var.c - Variables
 *
 * Written 2002,2003 by Werner Almesberger, Caltech Netlab FAST project
 */

/*
 * @@@ TODO: use hash
 */


#include <string.h>

#include "util.h"
#include "var.h"


static struct var *vars = NULL;


struct var *var_lookup(const char *name)
{
    struct var *var;

    for (var = vars; var; var = var->next)
	if (!strcmp(var->name,name)) return var;
    var = alloc_t(struct var);
    var->name = stralloc(name);
    var->value.type = NULL;
    var->next = vars;
    vars = var;
    return var;
}
